Summary:	Lightweight, extensible meta-backup system
Name:		backupninja
Version:	1.1.0
Release:	%mkrel 4
License:	GPLv2
Group:		Archiving/Backup
URL:		https://0xacab.org/riseuplabs/backupninja
Source0:	https://0xacab.org/riseuplabs/backupninja/-/archive/%{name}-%{version}/backupninja-%{name}-%{version}.tar.bz2#/%{name}-%{version}.tar.bz2

Requires(post): rpm-helper
Requires:	cdrdao
Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:	dialog
Requires:	dvd+rw-tools
Requires:	hwinfo
Requires:	mailx
Requires:	mdadm
Requires:	rdiff-backup
Recommends:	rsync
Recommends:	borgbackup
Recommends:	duplicity
BuildArch:	noarch

%description
Backupninja lets you drop simple config files in /etc/backup.d to coordinate
system backups. Backupninja is a master of many arts, including incremental
remote filesystem backup, MySQL backup, and ldap backup. By creating simple
drop-in handler scripts, backupninja can learn new skills. Backupninja is a
silent flower blossom death strike to lost data.

In addition to backing up regular files, Backupninja has handlers to ease
backing up: ldap, maildir, MySQL, PostgreSQL, svn, trac, and the output from
shell scripts.

Backupninja currently supports common backup utilities, easing their
configuration, currently supported are: rdiff-backup, duplicity, CD/DVD

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
autoreconf -fis
%configure \
    --libdir=%{_prefix}/lib \
    --localstatedir=/var
%make_build

%install
%make_install libdir=%{_prefix}/lib

install -d %{buildroot}%{_sysconfdir}/backup.d
install -d %{buildroot}/var/backups
install -d %{buildroot}/var/log
install -d %{buildroot}/var/lib/backupninja/reports
touch %{buildroot}/var/log/backupninja.log

%post
%create_ghostfile /var/log/backupninja.log root root 644

%files
%doc AUTHORS COPYING ChangeLog NEWS README.md TODO
%config %{_sysconfdir}/cron.d/backupninja
%config %{_sysconfdir}/logrotate.d/backupninja
%config(noreplace) %{_sysconfdir}/backupninja.conf
%attr(0750,root,root) %dir %{_sysconfdir}/backup.d
%{_sbindir}/*
%{_datadir}/backupninja
%{_prefix}/lib/backupninja
%attr(0750,root,root) %dir /var/backups
%attr(0750,root,root) %dir /var/lib/backupninja
%attr(0750,root,root) %dir /var/lib/backupninja/reports
%ghost /var/log/backupninja.log
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1536667
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 21 2019 daviddavid <daviddavid> 1.1.0-3.mga8
+ Revision: 1454873
- drop unneeded python2 dependencies
- add borgbackup, duplicity and rsync as recommended dependencies

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1277631
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1241590
- New version 1.1.0

* Tue Oct 24 2017 shlomif <shlomif> 1.0.2-1.mga7
+ Revision: 1173266
- New version 1.0.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 935622
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 751256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 678097
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 502998
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 346828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 sander85 <sander85> 1.0.1-1.mga3
+ Revision: 275313
- New version: 1.0.1

* Mon Sep 05 2011 tv <tv> 0.9.9-1.mga2
+ Revision: 138849
- new release
- use bz2 sources

* Sun Apr 10 2011 dmorgan <dmorgan> 0.9.7-1.mga1
+ Revision: 83046
- Enable debug packages
- imported package backupninja


* Sat Feb 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.7-1mdv2010.1
+ Revision: 508670
- Update to 0.9.7
- Drop old patch applied upstream
- Use %%make

* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.6-3mdv2010.0
+ Revision: 436736
- rebuild

* Sat Feb 14 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-2mdv2009.1
+ Revision: 340262
- make it work a little better on mandriva, hah!

* Fri Feb 13 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdv2009.1
+ Revision: 340110
- import backupninja


* Fri Feb 13 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdv2009.1
- initial Mandriva package
